QB_IPCC_SEND(3)

NAME
qb_ipcc_send - Send a message.

SYNOPSIS
#include <qb/qbipcc.h>

ssize_t qb_ipcc_send(
    qb_ipcc_connection_t   *c,        /* connection instance */
    const void             *msg_ptr,  /* pointer to a message to send */
    size_t                  msg_len   /* the size of the message */
);

PARAMS
c connection instance

msg_ptr pointer to a message to send

msg_len the size of the message

DESCRIPTION

RETURN VALUE

(size sent, -errno == error)

NOTE

the msg_ptr must include a qb_ipc_request_header at the top of the message. The server will read the size field to determine how much to recv.

SEE ALSO

qb_ipcc_sendv_recv(3), qb_ipcc_recv(3), qb_ipcc_event_recv(3), qb_ipcc_connect_async(3), qb_ipcc_fc_enable_max_set(3), qb_ipcc_is_connected(3), qb_ipcc_connect_continue(3), qb_ipcc_auth_get(3), qb_ipcc_sendv(3), qb_ipcc_context_set(3), qb_ipcc_context_get(3), qb_ipcc_verify_dgram_max_msg_size(3), qb_ipcc_get_buffer_size(3), qb_ipcc_connect(3), qb_ipcc_disconnect(3), qb_ipcc_fd_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.